Skip to content
DeepfireDeepfire Docs
Esc
navigateopen⌘Jpreview

Queryables

GET/collections/deepfire:static-heat-sources/queryables
Authorization
AuthorizationBearer token (JWT) · headerrequired
Access token from POST https://api.deepfire.co/v1/token with your client_id and client_secret.
Query parameters
otherParametersobject
Allows unrecognized parameters to be added in the query string without getting a 400 back (e.g., cache busters)
Responses
200Information about the feature collection queryable properties
queryablesqueryable[]required
list of queryable properties
Show properties
Array of queryable
idstring
identifier of the attribute that can be used in CQL filters
typestringrequired
the property type
Allowed:stringurinumberintegerdatedateTimebooleangeometry
404The requested URI was not found.
500A server error occurred.
codestringrequired
descriptionstring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.deepfire.co/ogc/features/v1/collections/deepfire:static-heat-sources/queryables" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "queryables": [
    {
      "id": "address",
      "type": "string"
    }
  ]
}